# Orders

### Request

```bash
curl -X GET "{domain}/api/orders?page=1&limit=100" \
-H "Access-Token: {access_token}"
```

### Parameters

<table><thead><tr><th width="150">Name</th><th width="150">Type</th><th width="150">Required</th><th>Description</th></tr></thead><tbody><tr><td>page</td><td>int</td><td>true</td><td>page number</td></tr><tr><td>limit</td><td>int</td><td>true</td><td>count items per page</td></tr></tbody></table>

### Response

```json
{
    "data": [
        {
            "id": 450789469,
            "closed_at": null,
            "confirmed": true,
            "contact_email": "bob.norman@hostmail.com",
            "created_at": "2008-01-10T11:00:00-05:00",
            "currency": "USD",
            "customer_locale": null,
            "discount_codes": [
                {
                    "code": "TENOFF",
                    "amount": "10.00",
                    "type": "fixed_amount"
                }
            ],
            "email": "bob.norman@hostmail.com",
            "financial_status": "partially_refunded",
            "fulfillment_status": null,
            "landing_site": "http://www.example.com?source=abc",
            "landing_site_ref": "abc",
            "name": "#1001",
            "note": null,
            "number": 1,
            "order_number": 1001,
            "order_status_url": "https://apple.myshopify.com/690933842/orders/b1946ac92492d2347c6235b4d2611184/authenticate?key=imasecretipod",
            "payment_gateway_names": [
                "bogus"
            ],
            "phone": "+557734881234",
            "presentment_currency": "USD",
            "processed_at": "2008-01-10T11:00:00-05:00",
            "processing_method": "direct",
            "reference": "fhwdgads",
            "referring_site": "http://www.otherexample.com",
            "source_identifier": "fhwdgads",
            "source_name": "web",
            "source_url": null,
            "subtotal_price": "597.00",
            "tags": "",
            "taxes_included": false,
            "total_discounts": "10.00",
            "total_line_items_price": "597.00",
            "total_price": "598.94",
            "total_price_usd": "598.94",
            "total_tax": "11.94",
            "total_tip_received": "0.00",
            "total_weight": 0,
            "updated_at": "2008-01-10T11:00:00-05:00",
            "billing_address": {
                "first_name": "Bob",
                "address1": "Chestnut Street 92",
                "phone": "555-625-1199",
                "city": "Louisville",
                "zip": "40202",
                "province": "Kentucky",
                "country": "United States",
                "last_name": "Norman",
                "address2": "",
                "company": null,
                "latitude": 45.41634,
                "longitude": -75.6868,
                "name": "Bob Norman",
                "country_code": "US",
                "province_code": "KY"
            },
            "customer": {
                "id": 207119551,
                "email": "bob.norman@hostmail.com",
                "accepts_marketing": false,
                "created_at": "2021-10-01T17:01:53-04:00",
                "updated_at": "2021-10-01T17:01:53-04:00",
                "first_name": "Bob",
                "last_name": "Norman",
                "orders_count": 1,
                "state": "disabled",
                "total_spent": "199.65",
                "last_order_id": 450789469,
                "note": null,
                "verified_email": true,
                "multipass_identifier": null,
                "tax_exempt": false,
                "phone": "+16136120707",
                "tags": "",
                "last_order_name": "#1001",
                "currency": "USD",
                "accepts_marketing_updated_at": "2005-06-12T11:57:11-04:00",
                "marketing_opt_in_level": null,
                "tax_exemptions": [],
                "admin_graphql_api_id": "gid://shopify/Customer/207119551",
                "default_address": {
                    "id": 207119551,
                    "customer_id": 207119551,
                    "first_name": null,
                    "last_name": null,
                    "company": null,
                    "address1": "Chestnut Street 92",
                    "address2": "",
                    "city": "Louisville",
                    "province": "Kentucky",
                    "country": "United States",
                    "zip": "40202",
                    "phone": "555-625-1199",
                    "name": "",
                    "province_code": "KY",
                    "country_code": "US",
                    "country_name": "United States",
                    "default": true
                }
            },
            "line_items": [
                {
                    "id": 466157049,
                    "fulfillable_quantity": 0,
                    "fulfillment_status": null,
                    "name": "IPod Nano - 8gb - green",
                    "price": "199.00",
                    "product_exists": true,
                    "product_id": 632910392,
                    "quantity": 1,
                    "title": "IPod Nano - 8gb",
                    "total_discount": "0.00",
                    "variant_id": 39072856,
                    "variant_title": "green",
                    "vendor": null
                }
            ]
        }
    ],
    "total": 1000,
    "per_page": 100,
    "current_page": 1,
    "last_page": 10,
    "from": 1,
    "to": 100
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.converted.in/loyalty-and-pos-integration/orders.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
